package org.rcisoft.business.ScheduledTask.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
* Created with cy on 2025年2月20日 上午11:14:19.
*/
@Data
public class ScheduledTask{


     /**
     * @desc 任务名称
     * @column task_name
     * @default
     */
     private String taskName;

     /**
      * @desc 执行时间
      * @column task_time
      * @default
      */
     private String taskTime;

     /**
      * redis定时任务
      * 1：订单落库
      * 2：订单关闭
      * 3：支付确认补救
      * 4：退款接口调用补救
      * 5：退款确认补救
      * 6：订单缓存清除
      * 7：定时更新访问量表
      * 8：定时更新话题表  刷新话题表的动态数
      * 9：定时更新会员表  刷新会员的被关注数和被点赞数
      */
     private String type;
}

